Apparently it’s not as simple as gem install jekyll.

You’ll need a javascript runtime for jekyll serve.

sudo apt-get install nodejs

And if you’re getting this error:

Building native extensions.  This could take a while...
ERROR:  Error installing jekyll:
    ERROR: Failed to build gem native extension.

    linking shared-object stemmer.so
    /usr/bin/ld: cannot find -lgmp
    collect2: error: ld returned 1 exit status
    make: *** [stemmer.so] Error 1

    make failed, exit code 2

You probably need to install GMP

sudo apt-get install libgmp3-dev